"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Enzyme = require("enzyme");
var Adapter = require("enzyme-adapter-react-16");
var enzyme_1 = require("enzyme");
var EditorCore_1 = require("./EditorCore");
Enzyme.configure({ adapter: new Adapter() });
describe("Editor core", function () {
    var wrapper = enzyme_1.render(React.createElement(EditorCore_1.default, { className: "my-promarkdown" }));
    test("Editor core is mounted correctly", function () {
        expect(wrapper.find('.pro-markdown-codemirror')).toBeDefined();
        expect(wrapper.find('.my-promarkdown')).toBeDefined();
    });
    test("Custom class name is effective", function () {
        expect(wrapper.find('.my-promarkdown')).toBeDefined();
    });
    test("CodeMirror is mounted correctly", function () {
        expect(wrapper.find('.CodeMirror')).toBeDefined();
    });
});
//# sourceMappingURL=EditorCore.test.js.map